
function getJSONWifiDevices() {
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.open( "GET", "http://petrumagdeleine.com/rest/getWifiDevices", false );
    xmlHttp.send( null );

    return xmlHttp.responseText;
}

var devices = [];
var heightContacts = null, widthContacts = null, scale = null;
function drawWifiDevices(jsonWifiDevices) {
    var newDevices, androidId, androidIds, numDevice, jsonContacts, widthOneDevice, widthContacts, svg;
    
    androidIds = JSON.parse(jsonWifiDevices);
    
    newDevices = [];
    for(numDevice = 0; numDevice < androidIds.length; numDevice++) {
        androidId = androidIds[numDevice];
        
        // If the device associated with this androidId is not displayed
        if(jQuery.inArray(androidId ,devices) == -1) {
            jsonContacts = getJSONContacts(androidId);
            if(jsonContacts != "") {
                $("#devices").append('<div class="col-md-6 column" id="device_'+numDevice+'"></div>');
                drawContacts(jsonContacts, "device_"+numDevice);
            }
            
            newDevices[numDevice] = androidId;
        }
        else {
            newDevices[numDevice] = androidId;
        }
    }
    
    for(numDevice = 0; numDevice < devices.length; numDevice++) {
        androidId = devices[numDevice];
        // If the device associated with this androidId should not be displayed now
        if(jQuery.inArray(androidId ,devices) != -1 && jQuery.inArray(androidId ,newDevices) == -1) {
            $("#device_"+numDevice).fadeOut(2000, function() {
                 $(this).remove();
            });
        }
    }
    devices = newDevices;
    
    // Scaling
    svg = d3.selectAll("svg");
    widthOneDevice = $("#devices .col-md-6").eq(0).width();
    svg.attr("transform", function() {
            if(d3.select(this).attr("transform") == null) {
                heightContacts = parseInt(d3.select(this).style("height").replace("px", ""));
                widthContacts  = parseInt(d3.select(this).style("width").replace("px", ""));
                scale = widthOneDevice / widthContacts;
                d3.select(this).attr("height", scale*heightContacts);
                d3.select(this).attr("width",  scale*widthContacts);
                return "scale("+scale+", "+scale+")";
            }
            else {
                return d3.select(this).attr("transform");
            }
        });
}
